Loading...
Searching...
No Matches
Opm::PeriodicConditionHandler Class Reference
Inheritance diagram for Opm::PeriodicConditionHandler:

## Public Member Functions

| PeriodicConditionHandler (int num_different_boundary_ids)
void | resize (int new_size)
bool | empty () const
void | clear ()
int | size () const
void | setPeriodicPartners (int boundary_id_1, int boundary_id_2)
int | getPeriodicPartner (int boundary_id) const
void | setCanonicalBoundaryId (int boundary_id, int canonical_bid)
int | getCanonicalBoundaryId (int boundary_id) const
template<typename charT, class traits>
void | write (std::basic_ostream< charT, traits > &os) const

The documentation for this class was generated from the following file:

- opm/porsol/common/BoundaryConditions.hpp